<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8" />
  <title>Test Page for Form Elements with Placeholders | Accessibility Works</title>
  <meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=yes" />
  <link rel="stylesheet" type="text/css" media="screen" href="../../../css/verdemoderna.css" title="default" />
  <meta name="robots" content="noindex, nofollow" />
  <meta name="googlebot" content="noindex, nofollow" />
  <style>
    form { border: 1px solid gray; padding: 6px;}
    p.description { background-color: #dcdcdc; }
    #input-types-basic p label { display: inline-block; width: 9.4rem; }
    #input-types-basic .wider-labels p label {display: inline-block; width: 14rem; }
  </style>
</head>
<body>
  <header id="header">
    <h1><span class="h1txt">Test Page for Form Elements with Placeholders</span></h1>
  </header>

  <main id="main">
    <p><abbr>HTML</abbr> page for testing what various <a href="https://html.spec.whatwg.org/#the-form-element">form</a> fields sound like with various screen readers.
    </p>
    <form action="form-01.html" method="post" enctype="multipart/form-data" name="testform">
      <!--
      -->
      <div id="input-types-basic">
        <p><label for="type-text">Official ID: </label>
          <input type="text" id="type-text" name="type-text" required="required" placeholder="__.__.__-___.__" aria-describedby="type-text-extra-desc"/>
          <br />
          <span id="type-text-extra-desc">You can find your official <abbr>ID</abbr> on the back of your <abbr>ID</abbr> card.</span>
        </p>

        <p>Same field as above but without <code>aria-describedby</code>:</p>
        <p><label for="nrn">Official ID: </label>
          <input type="text" id="nrn" name="nrn" required="required" placeholder="__.__.__-___.__" />
          <br />
          <span id="nrn-extra-desc">You can find your official <abbr>ID</abbr> on the back of your <abbr>ID</abbr> card.</span>
        </p>
      </div>

    </form>

    <h2>Notes</h2>
    <p>As of August 2023, Narrator with Chrome always reads the <code>placeholder</code> value,
      Narrator with Edge reads the <code>placeholder</code> value only if there is no <code>aria-describedby</code> attribute on the <code>input</code> field,
      and Narrator with Firefox never reads the <code>placeholder</code> attribute.
      <br /><abbr>NVDA</abbr> with Chrome does not read the <code>placeholder</code> if <code>aria-describedby</code> is present
      but says <q>dot dot dot</q> instead of the <code>placeholder</code> value if no <code>aria-describedby</code> attribute is present.
      <abbr>NVDA</abbr> with Edge always says <q>dot dot dot blank</q> for the fields with a <code>placeholder</code>
      and <abbr>NVDA</abbr> with Firefox never reads the <code>placeholder</code> (it just says <q>blank</q>).
    </p>

  </main>

  <footer id="footer">
    <p id="licence">
      <a class="image" rel="license" href="http://creativecommons.org/licenses/by-sa/4.0/">
      <img alt="Creative Commons License Attribution-ShareAlike" style="border-width:0" src="../../../img/cc-licence-by-sa-88x31.png" />
      </a>
      <br />
      <a href="https://cstrobbe.gitlab.io/A11yWorks/">Accessibility Works</a>
      by <a href="https://gitlab.com/cstrobbe">Christophe Strobbe</a> is licensed under a
      <a rel="license" href="http://creativecommons.org/licenses/by-sa/4.0/">Creative Commons Attribution-ShareAlike 4.0 International License</a>.
    </p>
    <p><a href="../../../sitemap.html">Site map</a>.</p>
  </footer>
</body>
</html>
